# Endianness (WLAN)
[CO_ENDIAN]

Endianness conversion functions for WLAN data. More...

Collaboration diagram for Endianness (WLAN):

## Functions
__INLINE uint32_t | co_htowl (uint32_t hostlong)
| Convert host to wlan long word.
__INLINE uint16_t | co_htows (uint16_t hostshort)
| Convert host to wlan short word.
__INLINE uint32_t | co_wtohl (uint32_t wlanlong)
| Convert wlan to host long word.
__INLINE uint16_t | co_wtohs (uint16_t wlanshort)
| Convert wlan to host short word.

## Detailed Description

Endianness conversion functions for WLAN data.

Converts values between the local system and little-endian WLAN data.

The host term in the descriptions of these functions refers to the local system (check this comment).

Behavior will depends on the endianness of the host:

- little endian: identity function;
- big endian: swap bytes.

## Function Documentation

__INLINE uint32_t co_htowl | ( | uint32_t | hostlong | ) |

Convert host to wlan long word.

Parameters:

  `[in]` | hostlong | Long word value to convert.

Returns:
  The converted long word.

Definition at line 180 of file co_endian.h.

References co_bswap32().

Referenced by co_wtohl(), and me_extract_edca_params().

__INLINE uint16_t co_htows | ( | uint16_t | hostshort | ) |

Convert host to wlan short word.

Parameters:

  `[in]` | hostshort | Short word value to convert.

Returns:
  The converted short word.

Definition at line 197 of file co_endian.h.

References co_bswap16().

Referenced by co_wtohs(), me_add_ba_ssc_frame(), me_add_baparamset_frame(), me_add_ie_ht_capa(), me_build_add_ba_req(), me_build_add_ba_rsp(), me_build_associate_req(), me_build_authenticate(), me_build_deauthenticate(), me_build_del_ba(), and me_del_baparamset_frame().

__INLINE uint32_t co_wtohl | ( | uint32_t | wlanlong | ) |

Convert wlan to host long word.

Parameters:

  `[in]` | wlanlong | Long word value to convert.

Returns:
  The converted long word.

Definition at line 215 of file co_endian.h.

References co_htowl().

Referenced by me_extract_vht_capa().

__INLINE uint16_t co_wtohs | ( | uint16_t | wlanshort | ) |

Convert wlan to host short word.

Parameters:

  `[in]` | wlanshort | Short word value to convert.

Returns:
  The converted short word.

Definition at line 229 of file co_endian.h.

References co_htows().

Referenced by me_extract_ht_capa(), me_extract_vht_capa(), and scanu_get_security_info().